<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Bootstrap Responsive Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  </head>

  <body>
    <div class="container-fluid">
      <h1>Bootstrap Responsive Example</h1>
      <p>Resize the column width to see an example of responsiveness in Bootstrap</p> 
    </div>
  
    <div class="container">     <!-- container, wrapper that encapsulates the row and column classes -->
      <div class="row">         <!-- row, the row class defining the row for responsiveness -->

        <!-- extra small screen 100%, medium screen 25% and extra large screen 8.3% widths -->
        <div class="col-xs-12 col-md-3 col-xl-1">
          <h6>Column 1</h6>
          <p>col-xs-12 col-md-4 col-xl-2</p>
        </div>
    
        <!-- extra small screen 100%, medium screen 33.3% and extra large screen 16.6% widths -->
        <div class="col-xs-12 col-md-4 col-xl-2">
          <h6>Column 2</h6>
          <p>col-xs-12 col-md-4 col-xl-2</p>
        </div>
    
        <!-- extra small screen 50%, medium screen 33.3% and extra large screen 16.6% widths -->
        <div class="col-xs-6 col-md-4 col-xl-2">
          <h6>Column 3</h6>        
          <p>col-xs-6 col-md-4 col-xl-2</p>
        </div>
    
        <!-- extra small screen 16.6%, medium screen 16.6% and extra large screen 8.3% widths -->
        <div class="col-xs-2 col-md-2 col-xl-1">
          <h6>Column 4</h6>        
          <p>col-xs-2 col-md-2 col-xl-1</p>
        </div>

      </div>
    </div>

  </body>
</html>
